------------------------------------------------------------------------------------
--Name：     210207[简体征服][活动脚本]全球愚人节活动-剧情引导
--Creator:      傅伟龙
--Created:     2021-02-07
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>170


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(388,497);

------------------------------------------------------------
local effectObj1 = CppScriptMgr:AddEffect( "zf2-e360", 389, 500);
CppScriptMgr:WaitMilSec(100);
local effectObj3 = CppScriptMgr:AddEffect( "zf2-e360", 393, 502);
CppScriptMgr:WaitMilSec(100);
local effectObj4 = CppScriptMgr:AddEffect( "zf2-e360", 383, 499);
CppScriptMgr:WaitMilSec(100);
local effectObj5 = CppScriptMgr:AddEffect( "zf2-e360", 383, 495);
CppScriptMgr:WaitMilSec(100);
local effectObj2 = CppScriptMgr:AddEffect( "zf2-e360", 391, 490);
CppScriptMgr:WaitMilSec(100);
local effectObj7 = CppScriptMgr:AddEffect( "zf2-e360", 394, 509);
CppScriptMgr:WaitMilSec(100);
local effectObj8 = CppScriptMgr:AddEffect( "zf2-e360", 397, 497);
CppScriptMgr:WaitMilSec(100);
local effectObj9 = CppScriptMgr:AddEffect( "zf2-e360", 401, 499);
CppScriptMgr:WaitMilSec(100);
local effectObj6 = CppScriptMgr:AddEffect( "zf2-e360", 388, 497);
CppScriptMgr:WaitMilSec(1000);
local General1 = CppScriptMgr:AddPlayer(145,388,497, "YuanSword",4003000002,1) ;
General1:SetZoomPercent(130)

General1:SetDir(7);
General1:SetAction(200);
General1:Say("I will kill anyone who betrays me!", 3000);

CppScriptMgr:WaitMilSec(2000);

local effectObj1 = CppScriptMgr:AddEffect( "jsb_skyg_att", 394, 502);
CppScriptMgr:WaitMilSec(2000);
CppScriptMgr:NpcCallOut("    I will clear everything in my way.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc10086", 150, 430, "YuanSword", 250, 655)

CppScriptMgr:WaitMilSec(5000);